/*
 * Copyright 2006-2009, Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#ifndef LOG_H
#define LOG_H
#include <siginfo.h>
#include <limits.h>

#ifndef PATH_MAX
#define PATH_MAX _XOPEN_PATH_MAX
#endif

extern void setVerbose(const char *f);
extern void setLog(int l);
extern void log2syslog(const char *exename);
extern void SegVhandler(int signr);
extern void (*DfltSegV)(int signr);
extern char Execname[PATH_MAX];
extern char **ARGV;
extern int ARGC;

#ifdef DEBUG
extern void dbug(const char *m, ...);
#else
#if defined(__STDC_VERSION__) && (__STDC_VERSION__ >= 199901L)
#define dbug(...)
#else
static inline void dbug(const char *m,...) { (void) m; }
#endif
#endif
extern void info(const char *m, ...);
extern void warn(const char *m, ...);
extern void error(const char *m, ...);
#endif
